/*--------------------------------------------------------------------------*/
/*  ORCA System
 *  file: bipolar_matrix_title.js
 *--------------------------------------------------------------------------*/

var BipolarMatrixTitle = function()
{
	this.initialize.apply( this, arguments );
};

BipolarMatrixTitle.prototype =
{
	targetClassName		: "MTHB"
,	extraClassName_L	: null
,	extraClassName_R	: null
,	extraStyle_L		: "text-align:center;"
,	extraStyle_R		: "text-align:center;"

,	initialize : function( mQid )
	{
		this.mQid = mQid;
		this.mtId = this.mQid.replace( "Q", "MT" );
		this.mtElem = document.getElementById( this.mtId );
	}

,	setupTitle2 : function( htmlLeft, htmlRight )
	{
		this.setupTitle( htmlLeft,  "L" );
		this.setupTitle( htmlRight, "R" );
	}

,	setupTitle : function( html, _side )
	{
		if( !_side || _side.toUpperCase() != "R" )
		{
			_side = "L";
		}

		var side = ( _side == "L" );

		if( !this.mtElem ) { return; }

		var re = new RegExp("(^|\\s+)" + this.targetClassName + "(\\s+|$)");
		var exC = ( side ? this.extraClassName_L : this.extraClassName_R )
		var exS = ( side ? this.extraStyle_L     : this.extraStyle_R )

		var isString = function( obj )
		{
			 return ( Object.prototype.toString.call( obj ).slice( 8, -1 ) === 'String' );
		};

		var trs = this.mtElem.getElementsByTagName( "tr" );

		var targets = [];

		for( var i = 0 ; i < trs.length ; ++i )
		{
			var tr = trs[ i ];

			if( tr.cells.length > 0 )
			{
				var t = ( side ? 0 : tr.cells.length - 1 );

				var td = tr.cells[ t ];

				if( re.test( td.className ) )
				{
					if( html )
					{
						td.innerHTML = html;
					}

					if( exC )
					{
						td.className += " " + exC;
					}

					if( exS )
					{
						if( isString( exS ) )
						{
							td.style.cssText += ';' + exS;
						}
						else
						{
							for( var key in exS )
							{
								td.style[ key ] = exS[ key ];
							}
						}
					}
				}
			}
		}
	}
};
